About This Archive

Source material for this history comes from The Drew University archives. Issues of the Drew Acorn were recently digitized. The Drew Oak Leaves Yearbooks are not yet digitized, but Matthew Beland of the Drew Library staff was very helpful and rounded up the yearbooks of the era and scanned the pages. All have been used to create a chronology beginning in 1963 at the club's founding. Acorn articles were a function of what the student editorial staff thought about coverage of a club sport at the time. As rugby was new there was only one article from 1963 and there were none in 1964. As rugby on campus grew so did the coverage — three articles in Fall 1965, four in 1966, nine in 1967, twelve in 1968, seven in 1969, and then sadly only six from 1970 to 1973. Supplemented by yearbook pictures and the 50th Anniversary piece in the Drew magazine, there is a reasonable history of the Club during that period.

Compiled by the Drew Alumni Office, 2022

1963 – 1973
The Founding Decade
67 photos

The Ol' Revelers

Drew Rugby Football Club played its first match against Princeton in the spring of 1963. In those early years the team went by the name the Ol' Revelers — a moniker that captured the spirit of the era. Drew was a member of the Eastern Rugby Union, one of only two unions in the United States at the time. The ERU comprised 33 college teams and another 25 major city clubs from New York, Philadelphia, and Washington, D.C. — a competitive landscape that would dwarf most regional unions today.

The laws of the game were different then. There were no substitutions, even for injury — one Rutgers match in April 1968 saw Drew hold on for a 14–13 victory with only 12 players remaining on the pitch as time expired. Lineouts involved no lifting; rucks could continue indefinitely so long as the ball was moving. And a try counted for only 3 points — the same as a penalty kick — with conversions worth 2. For the period Fall 1965 through Fall 1969, Drew's recorded A-side record was 29 wins and 11 losses — a 73% winning percentage against a field that included Army, Princeton, Yale, Columbia, Rutgers, and Fordham.

This archive draws on issues of the Drew Acorn, scans of the Drew Oak Leaves yearbooks, original photographs recovered from the Acorn staff, and the 50th Anniversary feature in Drew magazine (Winter 2013). Records and photos compiled by Don Clarke, who played Fall 1965–Spring 1968 and again Spring 1971–Spring 1972 after service in the U.S. Army, graduating from Drew in 1972.

Source: Don Clarke '72 — Drew University Archives

Season W L Notable
Fall 1965 / Spring 1966 3 4 Outscored opponents 109–47 (3-pt try era). Pres. Oxnam buys first official jerseys from Australia.
Fall 1966 4 0 Defeated Westchester, Wesleyan (×2), and Rutgers. Captain: Ed Corrigan.
Spring 1967 8 1 Semifinalists in the New York 7s — none had ever played 7s rugby before. Lost to Manhattan RFC 10–3 in semis.
Fall 1967 4 0 Defeated Villanova, Cornell Med, Fairfield, Columbia. Captain: Jeff Waldman.
Spring 1968 5 3 Beat Army A's 5–3; beat Rutgers 14–13 with 12 men on the field at the final whistle. Captain: Dwight Davies.
Fall 1968 / Spring 1969 5 3 Beat Princeton 10–0 in Spring 1969. Captain: Dan Boyer.
TOTAL (Fall 1965–Fall 1969) 29 11 73% winning percentage
Drew Rugby Football Club — club crest
Drew Rugby Football Club — club crest
Drew Oak Leaves Yearbook, 1964
Drew Oak Leaves Yearbook, 1964
Drew Oak Leaves Yearbook, 1964
Drew Oak Leaves Yearbook, 1964
Drew Oak Leaves Yearbook, 1965
Drew Oak Leaves Yearbook, 1965
Drew Oak Leaves Yearbook, 1965
Drew Oak Leaves Yearbook, 1965
Don Clarke and Hunt Jones, 1966. The team was called the Ol'
Don Clarke and Hunt Jones, 1966. The team was called the Ol' Revelers in those early years.
Fall Season 1965. L to R: Larry Haber (Hooker), Pete Schatz
Fall Season 1965. L to R: Larry Haber (Hooker), Pete Schatz (Prop), Don Clarke (2nd Row), Vaughn Mercer, Steve Carnahan. Uniforms were “hand me down” soccer jerseys.
Drew President Robert Oxnam with team, Spring 1966. Oxnam pu
Drew President Robert Oxnam with team, Spring 1966. Oxnam purchased the team's first official rugby jerseys from Australia — with his own funds.
Fall Season 1966
Fall Season 1966
Drew Oak Leaves Yearbook, 1966
Drew Oak Leaves Yearbook, 1966
Drew Oak Leaves, 1966 — Seth Metzger with the ball, Starr Ba
Drew Oak Leaves, 1966 — Seth Metzger with the ball, Starr Barnum trailing the play
Drew Oak Leaves, 1966 — John Hinchcliff with ball, Don Clark
Drew Oak Leaves, 1966 — John Hinchcliff with ball, Don Clarke in support, Butch Acker at scrum half
Drew RFC, 1960s
Drew RFC, 19s-era scan
Drew Oak Leaves Yearbook, 1967
Drew Oak Leaves Yearbook, 1967
Drew vs. Rutgers, Spring 1967 — Don Clarke
Drew vs. Rutgers, Spring 1967 — Don Clarke
Fall Season, 1967
Fall Season, 1967
Drew RFC, 1960s
Drew RFC, 23s-era scan
Drew vs. Fairfield, 1967
Drew vs. Fairfield, 1967
Drew RFC, 1960s
Drew RFC, 25s-era scan
Drew RFC, 1960s
Drew RFC, 26s-era scan
Dwight Davies — transfer from the Naval Academy, quarterback
Dwight Davies — transfer from the Naval Academy, quarterback of Westfield HS's Group IV State Championship team (1964), and likely the highest-scoring back of the founding era
Drew Oak Leaves, 1967 — Geoff Barger (Club President), Gary
Drew Oak Leaves, 1967 — Geoff Barger (Club President), Gary Keenan (Scrum Half), Don Clarke (2nd Row), John Hinchcliff (#8), Dan Katz (Hooker)
Drew RFC, 1960s
Drew RFC, 29s-era scan
Drew RFC, 1960s
Drew RFC, 30s-era scan
Drew RFC, 1960s
Drew RFC, 31s-era scan
Drew RFC, 1960s
Drew RFC, 32s-era scan
L to R: Ralph Milam, Harry Litwak, Don Clarke — Drew vs. Arm
L to R: Ralph Milam, Harry Litwak, Don Clarke — Drew vs. Army at West Point, 1968
Coach Steve Carnahan and distressed Army fans after Drew's 5
Coach Steve Carnahan and distressed Army fans after Drew's 5–3 win, April 1968
Don Clarke (#8) and Biff Clark (Inside Centre) — Drew vs. Ar
Don Clarke (#8) and Biff Clark (Inside Centre) — Drew vs. Army, 1968
Mark Lescault (Wing Forward) scores the winning try with 3 m
Mark Lescault (Wing Forward) scores the winning try with 3 minutes left in the right corner of the Army try zone. Clarke converts — Drew wins 5–3, 1968.
Drew RFC, 1960s
Drew RFC, 37s-era scan
Drew RFC, 1960s
Drew RFC, 38s-era scan
Bruce Brady, Phil Fergione, Fred Bass, Greg Johnson, Starr B
Bruce Brady, Phil Fergione, Fred Bass, Greg Johnson, Starr Barnum, Biff Clark
Drew RFC, 1960s
Drew RFC, 40s-era scan
Drew Oak Leaves, 1968 — Drew vs. Princeton, Fall 1968
Drew Oak Leaves, 1968 — Drew vs. Princeton, Fall 1968
Drew Acorn, October 4, 1968
Drew Acorn, October 4, 1968
Drew Acorn, October 11, 1968
Drew Acorn, October 11, 1968
Drew RFC, 1960s
Drew RFC, 44s-era scan
Drew RFC, 1960s
Drew RFC, 45s-era scan
Drew RFC, 1960s
Drew RFC, 46s-era scan
Drew RFC, 1960s
Drew RFC, 47s-era scan
Drew Oak Leaves Yearbook, 1969
Drew Oak Leaves Yearbook, 1969
Drew Oak Leaves Yearbook, 1969
Drew Oak Leaves Yearbook, 1969
September 19, 1969
September 19, 1969
Drew RFC, 1960s
Drew RFC, 51s-era scan
Drew Acorn, November 21, 1969
Drew Acorn, November 21, 1969
Drew Acorn, April 10, 1970
Drew Acorn, April 10, 1970
Drew Acorn, April 17, 1970
Drew Acorn, April 17, 1970
Drew Acorn — Year-End Review, 1970
Drew Acorn — Year-End Review, 1970
Drew Oak Leaves Yearbook, 1970
Drew Oak Leaves Yearbook, 1970
Drew Acorn, April 16, 1971
Drew Acorn, April 16, 1971
Drew Oak Leaves, 1972 — John Hudak in the lineout
Drew Oak Leaves, 1972 — John Hudak in the lineout
Drew RFC, 1960s
Drew RFC, 59s-era scan
Drew Acorn, April 27, 1973
Drew Acorn, April 27, 1973
Drew Magazine, Winter 2013 — 50th Anniversary of Drew Rugby
Drew Magazine, Winter 2013 — 50th Anniversary of Drew Rugby Football Club
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Drew Magazine, Winter 2013 — 50th Anniversary feature
Mark Lescault, Doug Miller, Biff Clark, Dwight Davies, Greg
Mark Lescault, Doug Miller, Biff Clark, Dwight Davies, Greg Johnson — in Drew rugby blazers, Hazelton Circle, Drew University, 1967
A typical afterparty
A typical afterparty
Records and photos compiled by Don Clarke — played Fall 1965
Records and photos compiled by Don Clarke — played Fall 1965 to Spring 1968, then Spring 1971 to Spring 1972 after service in the U.S. Army. Graduated from Drew in 1972.
1970s
The Seventies
5 photos
Drew RFC 1970s
Drew RFC, 1970s
Drew RFC Fall 1977
Most likely Fall 1977
Drew RFC 1970s
Drew RFC, 1970s
Drew RFC 1970s
Drew RFC, 1970s
Tom Tani C78
Tom Tani C78 keeping the backs honest
1980s
The Golden Era
29 photos
Drew RFC early 1980s
Drew RFC, early 1980s
Drew RFC early 1980s
Drew RFC, early 1980s
Drew RFC early 1980s
Drew RFC, early 1980s
Drew RFC early 1980s
Drew RFC, early 1980s
Drew RFC early 1980s
Drew RFC, early 1980s
Drew RFC early 1980s
Drew RFC, early 1980s
Drew RFC ca 1985
Yuki Uchida C85, Chris Van Cleef C85, Pat Caprigleone C82, ca 1985
Drew RFC ca 1985
Tony Buttacavoli C82, ca early 1980s
Drew Rugby Ball Fall 1981
Drew Rugby Ball — Fall of 1981
Drew RFC ca 1983
Eric Sachs C82, Soc Deacon C82, Eric "Moon" Lutzger C82, Bryan Hennessy C82, Tony Buttacavoli C82, "Pub" Joe Krzys — ca 1983
Drew RFC 1980s
Drew RFC, 1980s
Tony Buttacavoli ca 1981
Tony Buttacavoli C82 bypassing Pat Caprigleone C82 with an outlet pass as Bill Hughes C81 looks on — ca 1981
Drew RFC 1981
Brian Hennessy & Michael Stearn, c. 1981
Drew RFC 1981
Bill Bernhard, Andy Maidman & Chris Walsh, 1981
Drew RFC 1981
Drew RFC 1981
Chris Walsh C80 Spring 1980
Chris Walsh C80 and Perry Walinski C80 figuring out the lineout — Spring 1980
Nils Osterberg C82
Nils Osterberg C82 advancing the ball with Bill Landis C85, Chris Van Cleef C85
Drew RFC 1980
Chris Walsh, Alumni Match, c. 1981; Chip Nolet C80, Pete Smith C80, c. 1979–1980
Drew RFC 1980
Drew RFC, c. 1980
Drew RFC 1981-1982
Drew Rugby Football Club, c. 1981–1982
Drew RFC 1981-1982
Drew Rugby Football Club, c. 1981–1982
Ben Davol C82
Ben Davol C82 highstepping toward goal, c. 1981–1983
Drew RFC 1982
Augie Turner C82, Andy Maidman C82, Bill Bernhard C82, Pat Caprigleone C82, Bill Hughes C81 — c. 1982
Drew RFC 1981
Andy Maidman C82, Eric Sachs C82, Ron Reede C81 — c. 1981
Drew RFC 1980s
Drew RFC, 1980s
Chris Walsh C80 in the scrum
Chris Walsh C80 in the middle of the scrum
Drew RFC 1980s
Drew RFC, 1980s
Killer Bs front row 1979-80
"Killer Bs" front row, 1979–80: Andus Baker C83, Chris Walsh C80, Bill Ehlers C82
Paul Cortellesi C84 and Chris Walsh C80 with President Baeninger
Paul Cortellesi C84, Chris Walsh C80, and President Baeninger
2015 – 2022
Alumni Era
21 photos
2016 Soc Deacon Memorial Alumni Match
2016 Umptyninth Annual Soc Deacon Memorial Alumni Rugby Match
2016 Soc Deacon Memorial Alumni Match
2016 Soc Deacon Memorial Alumni Match
DRFC 50th Anniversary
DRFC 50th Anniversary
Post 2015 alumni match
Post 2015 alumni match — DRFC current players, alums, and Morris Masters
2016 DRFC Alumni Match
2016 DRFC Alumni Match
DRFC Alumni
DRFC Alumni
DRFC Alumni
DRFC Alumni
DRFC Alumni
DRFC Alumni
DRFC Alumni
DRFC Alumni
DRFC Alumni
DRFC Alumni
DRFC Alumni
DRFC Alumni
Chris Walsh C80 and Ralph Sorrentino C83 2017
Chris Walsh C80, Ralph Sorrentino C83, Ralph Scoville C80, c. 2017
Paul Cortellesi C84 and Chris Walsh C80
Paul Cortellesi C84 and Chris Walsh C80
Mickey Greene C79, Ben Davol C82, Chris Walsh C80
Mickey Greene C79, Ben Davol (RIP) C82, Chris Walsh C80 — Penn Station, c. 2019
DRFC Alumni
DRFC Alumni
Chris Walsh C80 and John Hinchcliff G69 Auckland 2011
Chris Walsh C80 and John Hinchcliff G69 overlooking Auckland, NZ — 2011
DRFC Alumni Auckland 2011
Ralph Scoville C80, Nalani Makana Tarrant C10, Chris Walsh C80, Kate Etcheverry C10, John Hinchcliff G69 — Auckland, 2011
Ralph Scoville, Chris Walsh, Ralph Sorrentino 2022
Ralph Scoville C80, Chris Walsh C80, Ralph Sorrentino C83 — c. 2022
DRFC Alumni
DRFC Alumni
DRFC Alumni
DRFC Alumni
DRFC Alumni
DRFC Alumni